Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.errors
Class ErrorFormatter.Message

    java.lang.Object
      com.sun.tdk.signaturetest.errors.ErrorFormatter.Message

All Implemented Interfaces:
  java.lang.Comparable

Enclosing class:
  ErrorFormatter

    public static class ErrorFormatter.Message

extends java.lang.Object
implements java.lang.Comparable

This class formats some error message reported by SignatureTest or other similar tests.

Field Summary
`java.lang.String` | `className` Name of the class affected by `this` error message.
`java.lang.String` | `definition` Class or class member affected by `this` error message.
`MemberDescription` | `errorObject` Message templates for different error types.
`MessageType` | `messageType` Type of `this` error message.
`java.lang.String` | `tail` The tail to append to `this` error message.

Constructor Summary
`ErrorFormatter.Message(MessageType error, java.lang.String className, java.lang.String definition, java.lang.String tail, MemberDescription errorObject)` Create new error message.

Method Summary
`int` | `compareTo(java.lang.Object o)` Compare `this` Message to the given Message `ob`.
`java.util.logging.Level` | `getLevel()`
`java.lang.String` | `getShortName(java.lang.String def)` Cut `` `throws`'' clause out off the given member description `def`.
`void` | `setLevel(java.util.logging.Level level)`
`java.lang.String` | `toString()` Return string representing `this` Message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### errorObject

    public MemberDescription errorObject

  Message templates for different error types.

### className

    public java.lang.String className

  Name of the class affected by `this` error message.

### definition

    public java.lang.String definition

  Class or class member affected by `this` error message.

### tail

    public java.lang.String tail

  The tail to append to `this` error message.

### messageType

    public MessageType messageType

  Type of `this` error message.

Constructor Detail

### ErrorFormatter.Message

    public ErrorFormatter.Message(MessageType error,
                                  java.lang.String className,
                                  java.lang.String definition,
                                  java.lang.String tail,
                                  MemberDescription errorObject)

  Create new error message.

Method Detail

### compareTo

    public int compareTo(java.lang.Object o)

  Compare `this` Message to the given Message `ob`. Messages ordering is the following:
  1. Compare `errorType` fields as integers.
  2. If `errorType` fields are equal, than compare `className` fields.
  3. If `className` fields also equals, than compare `definition` fields.

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### getShortName

    public java.lang.String getShortName(java.lang.String def)

  Cut `` `throws`'' clause out off the given member description `def`.

### toString

    public java.lang.String toString()

  Return string representing `this` Message.

  Overrides:
    `toString` in class `java.lang.Object`

### getLevel

    public java.util.logging.Level getLevel()

### setLevel

    public void setLevel(java.util.logging.Level level)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD